<template>
  <div class="studentsList">
    <h4>List of All Subjects</h4>
    <hr>
    <div class="studentList">
        <ul>
            <li v-for="(subject, index) in subjects" :key="index" @click="selectSubject(subject)">
              {{subject.name}}</li>
        </ul>
    </div>
  </div>
  <!--div class="subjects-table">
    <ul>
      <li v-for="(subject, index) in subjects" :key="index">
        <div @click="selectSubject(subject)" :class="{'selected': subject===selectedSubject}">
          <span class="name">{{subject.name}}</span>
          <span>{{subject.token}}</span>
        </div>
      </li>
    </ul>
  </div>-->
</template>

<script>
import store from '../../store/store.js'
import {mapGetters} from 'vuex'

export default {
  props: [
    'selectedSubject'
  ],
  data () {
    return {
    }
  },
  methods: {
    selectSubject(subject) {
      this.$emit('subject-selected', subject);
    }
  },
  computed: {
    ...mapGetters([
      'subjects',
    ])
  }
}
</script>

<style lang="scss">
div.subjects-table {
  width: 80%;
  height: 70%;
  margin-top: 5%;
  padding-top: 2%;
  margin-left: 15%;

  ul {
    list-style-type: none;
    overflow-y: scroll;

    li {
      display: block;
      height: 30px;
      
      div {
        height: 100%;
        width: 96%;
        padding-left: 2%;
        padding-right: 2%;
        cursor: pointer;
        &.selected {
          background-color: blue;
          color: white;
        }

        span {
          float: left;
          width: 20%;
          &.name {
            float: left;
            width: 20%;
          }
        }
      }
    }
  }
}
</style>